summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--abs/core-testing/ed/PKGBUILD36
-rw-r--r--abs/core-testing/ed/ed.install20
-rw-r--r--abs/core-testing/gcc/PKGBUILD72
-rw-r--r--abs/core-testing/gcc/gcc-hash-style-both.patch163
-rw-r--r--abs/core-testing/gcc/gcc-java-driver.patch11
-rw-r--r--abs/core-testing/gcc/gcc.install20
-rw-r--r--abs/core-testing/gcc/gcc_pure64.patch26
-rw-r--r--abs/core-testing/gmp/PKGBUILD27
-rw-r--r--abs/core-testing/gmp/gmp.install18
-rw-r--r--abs/core-testing/mpfr/PKGBUILD26
-rw-r--r--abs/core-testing/mpfr/mpfr.install18
-rw-r--r--abs/core-testing/texinfo/ChangeLog17
-rw-r--r--abs/core-testing/texinfo/PKGBUILD26
-rw-r--r--abs/core-testing/texinfo/texinfo.install18
14 files changed, 498 insertions, 0 deletions
diff --git a/abs/core-testing/ed/PKGBUILD b/abs/core-testing/ed/PKGBUILD
new file mode 100644
index 0000000..09188d1
--- /dev/null
+++ b/abs/core-testing/ed/PKGBUILD
@@ -0,0 +1,36 @@
+# $Id: PKGBUILD 17077 2008-10-24 19:45:39Z andyrtr $
+# Maintainer: Andreas Radke <andyrtr@archlinux.org>
+
+pkgname=ed
+pkgver=1.1
+pkgrel=2
+pkgdesc="A POSIX-compliant line editor"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.gnu.org/software/ed/ed.html"
+install=ed.install
+groups=('base-devel')
+depends=('glibc' 'texinfo')
+options=('!emptydirs')
+source=(ftp://ftp.gnu.org/gnu/ed/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('d190a6e8937f552118e2822085037099')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/
+ make || return 1
+# installing executable
+ install -D -m755 ed ${pkgdir}/bin/ed
+ cd ${pkgdir}/bin
+ ln ed red
+# installing man page
+ cd ${srcdir}/${pkgname}-${pkgver}
+ install -D -m644 doc/ed.1 ${pkgdir}/usr/share/man/man1/ed.1
+ cd ${pkgdir}/usr/share/man/man1
+ ln ed.1 red.1
+# installing info files
+ cd ${srcdir}/${pkgname}-${pkgver}
+ install -D -m644 doc/ed.info ${pkgdir}/usr/share/info/ed.info
+ cd ${pkgdir}/usr/share/info
+ ln ed.info red.info
+}
diff --git a/abs/core-testing/ed/ed.install b/abs/core-testing/ed/ed.install
new file mode 100644
index 0000000..1a6e983
--- /dev/null
+++ b/abs/core-testing/ed/ed.install
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(ed.info red.info)
+
+post_install() {
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/abs/core-testing/gcc/PKGBUILD b/abs/core-testing/gcc/PKGBUILD
new file mode 100644
index 0000000..7319d97
--- /dev/null
+++ b/abs/core-testing/gcc/PKGBUILD
@@ -0,0 +1,72 @@
+# $Id: PKGBUILD 17247 2008-10-27 08:12:22Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Maintainer: Andreas Radke <andyrtr@archlinux.org>
+
+pkgname=gcc
+pkgver=4.3.1
+pkgrel=1
+_snapshot=4.3-20080724
+pkgdesc="The GNU Compiler Collection"
+arch=(i686 x86_64)
+license=('GPL' 'LGPL')
+groups=('base-devel')
+url="http://gcc.gnu.org"
+depends=('binutils>=2.18-9' "gcc-libs>=${pkgver}" 'mpfr>=2.3.1' 'texinfo')
+makedepends=('flex')
+replaces=('gcc-fortran' 'gcc-objc')
+options=('!libtool')
+install=gcc.install
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++,fortran,objc,java}-${pkgver}.tar.bz2
+ #ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++,fortran,objc,java}-${_snapshot}.tar.bz2
+ ftp://gcc.gnu.org/pub/gcc/libstdc++/doxygen/libstdc++-man-20080118.tar.bz2
+ gcc_pure64.patch
+ gcc-hash-style-both.patch
+ gcc-java-driver.patch)
+
+build() {
+ if ! locale -a | grep ^de_DE; then
+ echo "You need the de_DE locale to build gcc."
+ return 1
+ fi
+
+ cd ${srcdir}/gcc-${pkgver}
+ #cd ${srcdir}/gcc-${_snapshot}
+ # Don't install libiberty
+ sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
+
+ if [ "${CARCH}" = "x86_64" ]; then
+ patch -Np1 -i ../gcc_pure64.patch || return 1
+ fi
+ patch -Np0 -i ${srcdir}/gcc-hash-style-both.patch || return 1
+ patch -Np0 -i ${srcdir}/gcc-java-driver.patch || return 1
+
+ echo ${pkgver} > gcc/BASE-VER
+
+ mkdir build
+ cd build
+ ../configure --prefix=/usr --enable-shared \
+ --enable-languages=c,c++,fortran,objc,obj-c++,treelang \
+ --enable-threads=posix --mandir=/usr/share/man --infodir=/usr/share/info \
+ --enable-__cxa_atexit --disable-multilib --libdir=/usr/lib \
+ --libexecdir=/usr/lib --enable-clocale=gnu --disable-libstdcxx-pch \
+ --with-tune=generic
+ make || return 1
+ make -j1 DESTDIR=${pkgdir} install || return 1
+ mkdir -p ${pkgdir}/lib
+ ln -sf ../usr/bin/cpp ${pkgdir}/lib/cpp
+ ln -sf gcc ${pkgdir}/usr/bin/cc
+ ln -sf g++ ${pkgdir}/usr/bin/c++
+
+ # install the libstdc++ man pages
+ mkdir -p ${pkgdir}/usr/share/man/man3
+ install -m644 ${srcdir}/man/man3/* ${pkgdir}/usr/share/man/man3/
+
+ # Remove libraries and translations in gcc-libs
+ rm -f ${pkgdir}/usr/lib/lib*
+ find ${pkgdir} -name libstdc++.mo -delete
+
+ # Remove fixed includes, either no need for them, or they're not complete
+ rm -rf ${pkgdir}/usr/lib/${CHOST}/${pkgver}/include-fixed/*
+
+ rm -f ${pkgdir}/usr/share/info/dir
+}
diff --git a/abs/core-testing/gcc/gcc-hash-style-both.patch b/abs/core-testing/gcc/gcc-hash-style-both.patch
new file mode 100644
index 0000000..8fea758
--- /dev/null
+++ b/abs/core-testing/gcc/gcc-hash-style-both.patch
@@ -0,0 +1,163 @@
+#! /bin/sh -e
+
+# DP: Link using --hash-style=both (alpha, amd64, ia64, i386, powerpc, ppc64, s390, sparc)
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+2006-07-11 Jakub Jelinek <jakub@redhat.com>
+
+ * config/i386/linux.h (LINK_SPEC): Add --hash-style=both.
+ * config/i386/linux64.h (LINK_SPEC): Likewise.
+ * config/rs6000/sysv4.h (LINK_OS_LINUX_SPEC): Likewise.
+ * config/rs6000/linux64.h (LINK_OS_LINUX_SPEC32,
+ LINK_OS_LINUX_SPEC64): Likewise.
+ * config/s390/linux.h (LINK_SPEC): Likewise.
+ * config/ia64/linux.h (LINK_SPEC): Likewise.
+ * config/sparc/linux.h (LINK_SPEC): Likewise.
+ * config/sparc/linux64.h (LINK_SPEC, LINK_ARCH32_SPEC,
+ LINK_ARCH64_SPEC): Likewise.
+ * config/alpha/linux-elf.h (LINK_SPEC): Likewise.
+
+--- gcc/config/alpha/linux-elf.h.orig 2007-08-04 08:55:58.000000000 +0200
++++ gcc/config/alpha/linux-elf.h 2007-09-01 15:47:26.605865578 +0200
+@@ -39,7 +39,7 @@
+
+ #define ELF_DYNAMIC_LINKER LINUX_DYNAMIC_LINKER
+
+-#define LINK_SPEC "-m elf64alpha %{G*} %{relax:-relax} \
++#define LINK_SPEC "-m elf64alpha --hash-style=both %{G*} %{relax:-relax} \
+ %{O*:-O3} %{!O*:-O1} \
+ %{shared:-shared} \
+ %{!shared: \
+--- gcc/config/s390/linux.h.orig 2007-08-04 08:55:59.000000000 +0200
++++ gcc/config/s390/linux.h 2007-09-01 15:47:26.605865578 +0200
+@@ -77,7 +77,7 @@
+
+ #undef LINK_SPEC
+ #define LINK_SPEC \
+- "%{m31:-m elf_s390}%{m64:-m elf64_s390} \
++ "%{m31:-m elf_s390}%{m64:-m elf64_s390} --hash-style=both \
+ %{shared:-shared} \
+ %{!shared: \
+ %{static:-static} \
+--- gcc/config/sparc/linux.h.orig 2007-08-04 08:56:01.000000000 +0200
++++ gcc/config/sparc/linux.h 2007-09-01 15:47:26.605865578 +0200
+@@ -132,7 +132,7 @@
+
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
+ %{!mno-relax:%{!r:-relax}} \
+ %{!shared: \
+ %{!ibcs: \
+--- gcc/config/sparc/linux64.h.orig 2007-08-04 08:56:01.000000000 +0200
++++ gcc/config/sparc/linux64.h 2007-09-01 15:47:26.605865578 +0200
+@@ -166,7 +166,7 @@
+ { "link_arch_default", LINK_ARCH_DEFAULT_SPEC }, \
+ { "link_arch", LINK_ARCH_SPEC },
+
+-#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_ARCH32_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
+ %{!shared: \
+ %{!ibcs: \
+ %{!static: \
+@@ -175,7 +175,7 @@
+ %{static:-static}}} \
+ "
+
+-#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,/usr/lib64 %{shared:-shared} \
++#define LINK_ARCH64_SPEC "-m elf64_sparc --hash-style=both -Y P,/usr/lib64 %{shared:-shared} \
+ %{!shared: \
+ %{!ibcs: \
+ %{!static: \
+@@ -256,7 +256,7 @@
+ #else /* !SPARC_BI_ARCH */
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m elf64_sparc -Y P,/usr/lib64 %{shared:-shared} \
++#define LINK_SPEC "-m elf64_sparc --hash-style=both -Y P,/usr/lib64 %{shared:-shared} \
+ %{!shared: \
+ %{!ibcs: \
+ %{!static: \
+--- gcc/config/i386/linux.h.orig 2007-08-04 08:56:07.000000000 +0200
++++ gcc/config/i386/linux.h 2007-09-01 15:47:26.605865578 +0200
+@@ -108,7 +108,7 @@
+ { "dynamic_linker", LINUX_DYNAMIC_LINKER }
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m %(link_emulation) %{shared:-shared} \
++#define LINK_SPEC "-m %(link_emulation) --hash-style=both %{shared:-shared} \
+ %{!shared: \
+ %{!ibcs: \
+ %{!static: \
+--- gcc/config/i386/linux64.h.orig 2007-08-04 08:56:07.000000000 +0200
++++ gcc/config/i386/linux64.h 2007-09-01 15:48:27.336781690 +0200
+@@ -65,7 +65,7 @@
+ #endif
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} \
++#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} --hash-style=both \
+ %{shared:-shared} \
+ %{!shared: \
+ %{!static: \
+--- gcc/config/ia64/linux.h.orig 2006-12-12 18:59:53.000000000 +0100
++++ gcc/config/ia64/linux.h 2007-09-01 15:47:26.605865578 +0200
+@@ -40,7 +40,7 @@
+ #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux-ia64.so.2"
+
+ #undef LINK_SPEC
+-#define LINK_SPEC "\
++#define LINK_SPEC "--hash-style=both \
+ %{shared:-shared} \
+ %{!shared: \
+ %{!static: \
+--- gcc/config/rs6000/sysv4.h.orig 2007-08-08 23:37:49.000000000 +0200
++++ gcc/config/rs6000/sysv4.h 2007-09-01 15:47:26.615865729 +0200
+@@ -901,7 +901,7 @@
+ #define LINUX_DYNAMIC_LINKER \
+ CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
+
+-#define LINK_OS_LINUX_SPEC "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+ %{rdynamic:-export-dynamic} \
+ %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER "}}}"
+
+--- gcc/config/rs6000/linux64.h.orig 2007-08-04 08:56:12.000000000 +0200
++++ gcc/config/rs6000/linux64.h 2007-09-01 15:47:26.615865729 +0200
+@@ -354,11 +354,11 @@
+ CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER64, UCLIBC_DYNAMIC_LINKER64)
+
+
+-#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+ %{rdynamic:-export-dynamic} \
+ %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER32 "}}}"
+
+-#define LINK_OS_LINUX_SPEC64 "-m elf64ppc %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC64 "-m elf64ppc --hash-style=both %{!shared: %{!static: \
+ %{rdynamic:-export-dynamic} \
+ %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER64 "}}}"
+
diff --git a/abs/core-testing/gcc/gcc-java-driver.patch b/abs/core-testing/gcc/gcc-java-driver.patch
new file mode 100644
index 0000000..528b528
--- /dev/null
+++ b/abs/core-testing/gcc/gcc-java-driver.patch
@@ -0,0 +1,11 @@
+--- gcc/Makefile.in.orig 2008-03-08 09:52:09.000000000 +0000
++++ gcc/Makefile.in 2008-03-08 09:54:09.000000000 +0000
+@@ -421,8 +421,8 @@
+ xm_defines=@xm_defines@
+ lang_checks=check-gcc
+ lang_opt_files=@lang_opt_files@ $(srcdir)/c.opt $(srcdir)/common.opt
+-lang_specs_files=@lang_specs_files@
++lang_specs_files=@lang_specs_files@ $(srcdir)/java/lang-specs.h
+ lang_tree_files=@lang_tree_files@
+ target_cpu_default=@target_cpu_default@
+ GCC_THREAD_FILE=@thread_file@
diff --git a/abs/core-testing/gcc/gcc.install b/abs/core-testing/gcc/gcc.install
new file mode 100644
index 0000000..1ad170c
--- /dev/null
+++ b/abs/core-testing/gcc/gcc.install
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(cpp.info cppinternals.info gcc.info gccinstall.info gccint.info gfortran.info libgomb.info treelang.info)
+
+post_install() {
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/abs/core-testing/gcc/gcc_pure64.patch b/abs/core-testing/gcc/gcc_pure64.patch
new file mode 100644
index 0000000..8c0baf8
--- /dev/null
+++ b/abs/core-testing/gcc/gcc_pure64.patch
@@ -0,0 +1,26 @@
+diff -Naur gcc-4.2.0.orig/gcc/config/i386/linux64.h gcc-4.2.0/gcc/config/i386/linux64.h
+--- gcc-4.2.0.orig/gcc/config/i386/linux64.h 2007-05-16 19:21:19.000000000 -0400
++++ gcc-4.2.0/gcc/config/i386/linux64.h 2007-05-18 17:04:05.000000000 -0400
+@@ -49,8 +49,8 @@
+ When the -shared link option is used a final link is not being
+ done. */
+
+-#define GLIBC_DYNAMIC_LINKER32 "/lib/ld-linux.so.2"
+-#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
++#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld-linux.so.2"
++#define GLIBC_DYNAMIC_LINKER64 "/lib/ld-linux-x86-64.so.2"
+
+ #undef LINK_SPEC
+ #define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
+diff -Naur gcc-4.2.0.orig/gcc/config/i386/t-linux64 gcc-4.2.0/gcc/config/i386/t-linux64
+--- gcc-4.2.0.orig/gcc/config/i386/t-linux64 2007-05-16 19:21:19.000000000 -0400
++++ gcc-4.2.0/gcc/config/i386/t-linux64 2007-05-18 17:04:36.000000000 -0400
+@@ -6,7 +6,7 @@
+
+ MULTILIB_OPTIONS = m64/m32
+ MULTILIB_DIRNAMES = 64 32
+-MULTILIB_OSDIRNAMES = ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib)
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+
+ LIBGCC = stmp-multilib
+ INSTALL_LIBGCC = install-multilib
diff --git a/abs/core-testing/gmp/PKGBUILD b/abs/core-testing/gmp/PKGBUILD
new file mode 100644
index 0000000..b747f73
--- /dev/null
+++ b/abs/core-testing/gmp/PKGBUILD
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD 14742 2008-10-10 10:19:37Z allan $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Maintainer: Thomas Baechler <thomas@archlinux.org>
+pkgname=gmp
+pkgver=4.2.4
+pkgrel=1.1
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=(i686 x86_64)
+depends=('gcc-libs' 'texinfo')
+license=('LGPL3')
+options=(!libtool)
+install=gmp.install
+source=(ftp://ftp.gnu.org/gnu/gmp/gmp-${pkgver}.tar.bz2)
+url="http://gmplib.org/"
+md5sums=('fc1e3b3a2a5038d4d74138d0b9cf8dbe')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ [ "${CARCH}" = "i686" ] && export ABI="32"
+ ./configure --prefix=/usr --enable-cxx --infodir=/usr/share/info || return 1
+ make || return 1
+ make check || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+ cd "${pkgdir}/usr/share/info"
+ rm -f dir
+ gzip * || return 1
+}
diff --git a/abs/core-testing/gmp/gmp.install b/abs/core-testing/gmp/gmp.install
new file mode 100644
index 0000000..4f756bd
--- /dev/null
+++ b/abs/core-testing/gmp/gmp.install
@@ -0,0 +1,18 @@
+info_dir=/usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+ for f in ${info_files[@]}; do
+ install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for f in ${info_files[@]}; do
+ install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
diff --git a/abs/core-testing/mpfr/PKGBUILD b/abs/core-testing/mpfr/PKGBUILD
new file mode 100644
index 0000000..ac2ab77
--- /dev/null
+++ b/abs/core-testing/mpfr/PKGBUILD
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 12992 2008-09-25 17:47:29Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: damir <damir@archlinux.org>
+
+pkgname=mpfr
+pkgver=2.3.2
+pkgrel=2
+pkgdesc="multiple-precision floating-point library"
+arch=(i686 x86_64)
+license=('GPL' 'LGPL')
+url="http://www.mpfr.org/"
+depends=('gmp>=4.2.3' 'texinfo')
+options=('!libtool')
+install=mpfr.install
+#source=(http://www.mpfr.org/mpfr-current/mpfr-${pkgver}.tar.gz)
+
+source=(http://modular.math.washington.edu/home/novocin/tars/mpfr-2.3.2.tar.gz)
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --enable-thread-safe --enable-shared || return 1
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+ cd "${pkgdir}/usr/share/info" || return 1
+ rm -f dir
+ gzip * || return 1
+}
diff --git a/abs/core-testing/mpfr/mpfr.install b/abs/core-testing/mpfr/mpfr.install
new file mode 100644
index 0000000..a95dec6
--- /dev/null
+++ b/abs/core-testing/mpfr/mpfr.install
@@ -0,0 +1,18 @@
+info_dir=/usr/share/info
+info_files=(mpfr.info)
+
+post_install() {
+ for f in ${info_files[@]}; do
+ install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for f in ${info_files[@]}; do
+ install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
diff --git a/abs/core-testing/texinfo/ChangeLog b/abs/core-testing/texinfo/ChangeLog
new file mode 100644
index 0000000..46091e7
--- /dev/null
+++ b/abs/core-testing/texinfo/ChangeLog
@@ -0,0 +1,17 @@
+2008-09-26 Eric Belanger <eric@archlinux.org>
+
+ * texinfo 4.13a-1
+ * Upstream update
+ * Moved to base group
+ * Added install scriptlet to handle info pages
+
+2008-04-28 Eric Belanger <eric@archlinux.org>
+
+ * texinfo 4.12-2
+ * Added to base-devel group
+
+2008-04-21 Eric Belanger <eric@archlinux.org>
+
+ * texinfo 4.12-1
+ * Upstream update
+ * Updated license
diff --git a/abs/core-testing/texinfo/PKGBUILD b/abs/core-testing/texinfo/PKGBUILD
new file mode 100644
index 0000000..69aa173
--- /dev/null
+++ b/abs/core-testing/texinfo/PKGBUILD
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 13367 2008-09-27 01:52:08Z eric $
+# Maintainer: Eric Belanger <eric@archlinux.org>
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
+
+pkgname=texinfo
+pkgver=4.13a
+pkgrel=1
+pkgdesc="Utilities to work with and produce manuals, ASCII text, and on-line documentation from a single source file"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/texinfo/"
+license=('GPL3')
+groups=('base')
+depends=('ncurses')
+install=texinfo.install
+source=(ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('71ba711519209b5fb583fed2b3d86fcb')
+sha1sums=('a1533cf8e03ea4fa6c443b73f4c85e4da04dead0')
+
+build() {
+ cd ${srcdir}/${pkgname}-4.13
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+ rm -f ${pkgdir}/usr/share/info/dir
+ gzip ${pkgdir}/usr/share/info/*
+}
diff --git a/abs/core-testing/texinfo/texinfo.install b/abs/core-testing/texinfo/texinfo.install
new file mode 100644
index 0000000..87c7ac4
--- /dev/null
+++ b/abs/core-testing/texinfo/texinfo.install
@@ -0,0 +1,18 @@
+infodir=/usr/share/info
+filelist=(info.info.gz info-stnd.info.gz texinfo.gz texinfo-1.gz texinfo-2.gz texinfo-3.gz)
+
+post_install() {
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}